BizKitHub
postDomainAdmin BFF

/bff/domain/add

Registers a new domain for the current organisation. The domain must be verified separately via the verification flow.

DomainpostBffDomainAdd

Parameters

JSON body

Request body

application/json
domainstringRequired

Domain name to add to the organisation.

Exampleexample.com

Response schema

1 status code documented

200Success
successbooleanRequired

True if the domain was successfully added.

Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/domain/add

post
curl -X POST "https://api.bizkithub.com/bff/domain/add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "domain": "example.com"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key